
QGIS Application - Bug report #13207

Default selection polygon fails to disappear

2015-08-11 08:30 AM - Dylan Lahman

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.8.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21268

Description

Good afternoon guys!

Fairly simple bug here that you may or may not be aware of. 

If you use your left mouse button to select a feature with the select features tool, then right click without letting go of the left mouse button,

the orange selection box will remain on screen until shutting QGIS down. It's pretty straightforward - simply right click before letting go of

left click and you'll have a permanent selection box layered above every other feature/layer in your project.

This may have been intentional, but I haven't found anything about this being a feature online.

--

Dylan

History

#1 - 2015-08-11 08:31 AM - Dylan Lahman

    -  Good morning! *

#2 - 2015-08-16 01:32 PM - Jürgen Fischer

- Subject changed from (QGIS 2.8.2 Wein) Default selection polygon fails to disappear to Default selection polygon fails to disappear

#3 - 2015-10-13 10:18 AM - Saber Razmjooei

- Affected QGIS version changed from 2.8.2 to 2.8.3

- OS version deleted (2.8.2)

- Operating System deleted (QGIS)

It is fixed (or disappeared!) in master, will be good to backported in 2.8

#4 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#5 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

#6 - 2019-03-09 03:12 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
